Loading...
Searching...
No Matches
RecordField.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Containers/Record.h>`

Go to the source code of this file.

## Classes

class | casacore::RORecordFieldPtr< T >
| Read-Only access to an individual field from a Record. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

| casacore::RecordFieldPtr ()
| casacore::RecordFieldPtr (RecordInterface &record, Int whichField)
| Attach this field pointer to the given field.
| casacore::RecordFieldPtr (RecordInterface &record, const RecordFieldId &)
void | casacore::attachToRecord (RecordInterface &record, Int whichField)
| Change our pointer to the supplied field.
void | casacore::attachToRecord (RecordInterface &record, const RecordFieldId &)
void | casacore::detach ()
| Point to no field in any Record.
T & | casacore::operator* ()
| Provide access to the field's value.
const T & | casacore::get () const
void | casacore::define (const T &value)
| Store a value in the field using redefinition.
const String & | casacore::comment () const
| Get the comment of this field.
void | casacore::setComment (const String &comment)
| Set the comment for this field.
Int | casacore::fieldNumber () const
| Return the fieldnumber of this field.
String | casacore::name () const
| Return the name of the field.
Bool | casacore::isAttached () const
| Is this field pointer attached to a valid record?
static const T * | casacore::get_typed_ptr (RecordInterface *record, Int fieldNumber)

## Variables

Int | casacore::fieldNumber_p